diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/tdmt-ff-mac-scheduler.cc ns-3.38/src/lte/model/tdmt-ff-mac-scheduler.cc
--- ns-3.37/src/lte/model/tdmt-ff-mac-scheduler.cc	2022-11-01 17:37:24.663395600 -0700
+++ ns-3.38/src/lte/model/tdmt-ff-mac-scheduler.cc	2023-03-16 20:54:23.780869000 -0700
@@ -37,11 +37,11 @@
 
 /// TDMT type 0 allocation RBG
 static const int TdMtType0AllocationRbg[4] = {
-    10, // RGB size 1
-    26, // RGB size 2
-    63, // RGB size 3
-    110 // RGB size 4
-};      // see table 7.1.6.1-1 of 36.213
+    10,  // RGB size 1
+    26,  // RGB size 2
+    63,  // RGB size 3
+    110, // RGB size 4
+};       // see table 7.1.6.1-1 of 36.213
 
 NS_OBJECT_ENSURE_REGISTERED(TdMtFfMacScheduler);
 
@@ -358,7 +358,7 @@
     return (lcActive);
 }
 
-uint8_t
+bool
 TdMtFfMacScheduler::HarqProcessAvailability(uint16_t rnti)
 {
     NS_LOG_FUNCTION(this << rnti);
@@ -587,9 +587,9 @@
     // Process DL HARQ feedback
     RefreshHarqProcesses();
     // retrieve past HARQ retx buffered
-    if (m_dlInfoListBuffered.size() > 0)
+    if (!m_dlInfoListBuffered.empty())
     {
-        if (params.m_dlInfoList.size() > 0)
+        if (!params.m_dlInfoList.empty())
         {
             NS_LOG_INFO(this << " Received DL-HARQ feedback");
             m_dlInfoListBuffered.insert(m_dlInfoListBuffered.end(),
@@ -599,7 +599,7 @@
     }
     else
     {
-        if (params.m_dlInfoList.size() > 0)
+        if (!params.m_dlInfoList.empty())
         {
             m_dlInfoListBuffered = params.m_dlInfoList;
         }
@@ -827,7 +827,7 @@
                     }
                 }
 
-                if (rlcPduListPerLc.size() > 0)
+                if (!rlcPduListPerLc.empty())
                 {
                     newEl.m_rlcPduList.push_back(rlcPduListPerLc);
                 }
@@ -877,7 +877,7 @@
     if (rbgAllocatedNum == rbgNum)
     {
         // all the RBGs are already allocated -> exit
-        if ((ret.m_buildDataList.size() > 0) || (ret.m_buildRarList.size() > 0))
+        if (!ret.m_buildDataList.empty() || !ret.m_buildRarList.empty())
         {
             m_schedSapUser->SchedDlConfigInd(ret);
         }
@@ -895,11 +895,11 @@
             // UE already allocated for HARQ or without HARQ process available -> drop it
             if (itRnti != rntiAllocated.end())
             {
-                NS_LOG_DEBUG(this << " RNTI discared for HARQ tx" << (uint16_t)(*it));
+                NS_LOG_DEBUG(this << " RNTI discarded for HARQ tx" << (uint16_t)(*it));
             }
             if (!HarqProcessAvailability((*it)))
             {
-                NS_LOG_DEBUG(this << " RNTI discared for HARQ id" << (uint16_t)(*it));
+                NS_LOG_DEBUG(this << " RNTI discarded for HARQ id" << (uint16_t)(*it));
             }
 
             continue;
@@ -974,7 +974,7 @@
             } // end for RBG free
 
         } // end for RBGs
-        if (tempMap.size() > 0)
+        if (!tempMap.empty())
         {
             allocationMap.insert(std::pair<uint16_t, std::vector<uint16_t>>((*itMax), tempMap));
         }
@@ -1349,7 +1349,7 @@
 
     if (nflows == 0)
     {
-        if (ret.m_dciList.size() > 0)
+        if (!ret.m_dciList.empty())
         {
             m_allocationMaps.insert(
                 std::pair<uint16_t, std::vector<uint16_t>>(params.m_sfnSf, rbgAllocationMap));
@@ -1394,7 +1394,8 @@
         if ((itRnti != rntiAllocated.end()) || ((*it).second == 0))
         {
             // UE already allocated for UL-HARQ -> skip it
-            NS_LOG_DEBUG(this << " UE already allocated in HARQ -> discared, RNTI " << (*it).first);
+            NS_LOG_DEBUG(this << " UE already allocated in HARQ -> discarded, RNTI "
+                              << (*it).first);
             it++;
             if (it == m_ceBsrRxed.end())
             {
@@ -1465,7 +1466,7 @@
         {
             // unable to allocate new resource: finish scheduling
             m_nextRntiUl = (*it).first;
-            if (ret.m_dciList.size() > 0)
+            if (!ret.m_dciList.empty())
             {
                 m_schedSapUser->SchedUlConfigInd(ret);
             }
@@ -1484,7 +1485,7 @@
         else
         {
             // take the lowest CQI value (worst RB)
-            NS_ABORT_MSG_IF((*itCqi).second.size() == 0,
+            NS_ABORT_MSG_IF((*itCqi).second.empty(),
                             "CQI of RNTI = " << (*it).first << " has expired");
             double minSinr = (*itCqi).second.at(uldci.m_rbStart);
             if (minSinr == NO_SINR)
@@ -1739,7 +1740,7 @@
     case UlCqi_s::SRS: {
         // get the RNTI from vendor specific parameters
         uint16_t rnti = 0;
-        NS_ASSERT(params.m_vendorSpecificList.size() > 0);
+        NS_ASSERT(!params.m_vendorSpecificList.empty());
         for (std::size_t i = 0; i < params.m_vendorSpecificList.size(); i++)
         {
             if (params.m_vendorSpecificList.at(i).m_type == SRS_CQI_RNTI_VSP)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/tdmt-ff-mac-scheduler.h ns-3.38/src/lte/model/tdmt-ff-mac-scheduler.h
--- ns-3.37/src/lte/model/tdmt-ff-mac-scheduler.h	2022-11-01 17:37:24.663395600 -0700
+++ ns-3.38/src/lte/model/tdmt-ff-mac-scheduler.h	2023-03-16 20:54:23.780869000 -0700
@@ -280,9 +280,9 @@
      * \brief Return the availability of free process for the RNTI specified
      *
      * \param rnti the RNTI of the UE to be updated
-     * \return the process id  value
+     * \return the availability
      */
-    uint8_t HarqProcessAvailability(uint16_t rnti);
+    bool HarqProcessAvailability(uint16_t rnti);
 
     /**
      * \brief Refresh HARQ processes according to the timers
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/tdtbfq-ff-mac-scheduler.cc ns-3.38/src/lte/model/tdtbfq-ff-mac-scheduler.cc
--- ns-3.37/src/lte/model/tdtbfq-ff-mac-scheduler.cc	2022-11-01 17:37:24.663395600 -0700
+++ ns-3.38/src/lte/model/tdtbfq-ff-mac-scheduler.cc	2023-03-16 20:54:23.780869000 -0700
@@ -38,11 +38,11 @@
 
 /// TDTBFQ type 0 allocation RBG
 static const int TdTbfqType0AllocationRbg[4] = {
-    10, // RGB size 1
-    26, // RGB size 2
-    63, // RGB size 3
-    110 // RGB size 4
-};      // see table 7.1.6.1-1 of 36.213
+    10,  // RGB size 1
+    26,  // RGB size 2
+    63,  // RGB size 3
+    110, // RGB size 4
+};       // see table 7.1.6.1-1 of 36.213
 
 NS_OBJECT_ENSURE_REGISTERED(TdTbfqFfMacScheduler);
 
@@ -421,7 +421,7 @@
     return (lcActive);
 }
 
-uint8_t
+bool
 TdTbfqFfMacScheduler::HarqProcessAvailability(uint16_t rnti)
 {
     NS_LOG_FUNCTION(this << rnti);
@@ -698,9 +698,9 @@
     // Process DL HARQ feedback
     RefreshHarqProcesses();
     // retrieve past HARQ retx buffered
-    if (m_dlInfoListBuffered.size() > 0)
+    if (!m_dlInfoListBuffered.empty())
     {
-        if (params.m_dlInfoList.size() > 0)
+        if (!params.m_dlInfoList.empty())
         {
             NS_LOG_INFO(this << " Received DL-HARQ feedback");
             m_dlInfoListBuffered.insert(m_dlInfoListBuffered.end(),
@@ -710,7 +710,7 @@
     }
     else
     {
-        if (params.m_dlInfoList.size() > 0)
+        if (!params.m_dlInfoList.empty())
         {
             m_dlInfoListBuffered = params.m_dlInfoList;
         }
@@ -938,7 +938,7 @@
                     }
                 }
 
-                if (rlcPduListPerLc.size() > 0)
+                if (!rlcPduListPerLc.empty())
                 {
                     newEl.m_rlcPduList.push_back(rlcPduListPerLc);
                 }
@@ -988,7 +988,7 @@
     if (rbgAllocatedNum == rbgNum)
     {
         // all the RBGs are already allocated -> exit
-        if ((ret.m_buildDataList.size() > 0) || (ret.m_buildRarList.size() > 0))
+        if (!ret.m_buildDataList.empty() || !ret.m_buildRarList.empty())
         {
             m_schedSapUser->SchedDlConfigInd(ret);
         }
@@ -1028,11 +1028,11 @@
             // UE already allocated for HARQ or without HARQ process available -> drop it
             if (itRnti != rntiAllocated.end())
             {
-                NS_LOG_DEBUG(this << " RNTI discared for HARQ tx" << (uint16_t)(*it).first);
+                NS_LOG_DEBUG(this << " RNTI discarded for HARQ tx" << (uint16_t)(*it).first);
             }
             if (!HarqProcessAvailability((*it).first))
             {
-                NS_LOG_DEBUG(this << " RNTI discared for HARQ id" << (uint16_t)(*it).first);
+                NS_LOG_DEBUG(this << " RNTI discarded for HARQ id" << (uint16_t)(*it).first);
             }
             continue;
         }
@@ -1119,7 +1119,7 @@
             tempMap.push_back(i);
             rbgMap.at(i) = true;
         }
-        if (tempMap.size() > 0)
+        if (!tempMap.empty())
         {
             allocationMap.insert(
                 std::pair<uint16_t, std::vector<uint16_t>>((*itMax).first, tempMap));
@@ -1573,7 +1573,7 @@
 
     if (nflows == 0)
     {
-        if (ret.m_dciList.size() > 0)
+        if (!ret.m_dciList.empty())
         {
             m_allocationMaps.insert(
                 std::pair<uint16_t, std::vector<uint16_t>>(params.m_sfnSf, rbgAllocationMap));
@@ -1622,7 +1622,8 @@
         if ((itRnti != rntiAllocated.end()) || ((*it).second == 0))
         {
             // UE already allocated for UL-HARQ -> skip it
-            NS_LOG_DEBUG(this << " UE already allocated in HARQ -> discared, RNTI " << (*it).first);
+            NS_LOG_DEBUG(this << " UE already allocated in HARQ -> discarded, RNTI "
+                              << (*it).first);
             it++;
             if (it == m_ceBsrRxed.end())
             {
@@ -1720,7 +1721,7 @@
         else
         {
             // take the lowest CQI value (worst RB)
-            NS_ABORT_MSG_IF((*itCqi).second.size() == 0,
+            NS_ABORT_MSG_IF((*itCqi).second.empty(),
                             "CQI of RNTI = " << (*it).first << " has expired");
             double minSinr = (*itCqi).second.at(uldci.m_rbStart);
             if (minSinr == NO_SINR)
@@ -1975,7 +1976,7 @@
     case UlCqi_s::SRS: {
         // get the RNTI from vendor specific parameters
         uint16_t rnti = 0;
-        NS_ASSERT(params.m_vendorSpecificList.size() > 0);
+        NS_ASSERT(!params.m_vendorSpecificList.empty());
         for (std::size_t i = 0; i < params.m_vendorSpecificList.size(); i++)
         {
             if (params.m_vendorSpecificList.at(i).m_type == SRS_CQI_RNTI_VSP)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/tdtbfq-ff-mac-scheduler.h ns-3.38/src/lte/model/tdtbfq-ff-mac-scheduler.h
--- ns-3.37/src/lte/model/tdtbfq-ff-mac-scheduler.h	2022-11-01 17:37:24.663395600 -0700
+++ ns-3.38/src/lte/model/tdtbfq-ff-mac-scheduler.h	2023-03-16 20:54:23.780869000 -0700
@@ -297,9 +297,9 @@
      * \brief Return the availability of free process for the RNTI specified
      *
      * \param rnti the RNTI of the UE to be updated
-     * \return the process id  value
+     * \return the availability
      */
-    uint8_t HarqProcessAvailability(uint16_t rnti);
+    bool HarqProcessAvailability(uint16_t rnti);
 
     /**
      * \brief Refresh HARQ processes according to the timers
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/tta-ff-mac-scheduler.cc ns-3.38/src/lte/model/tta-ff-mac-scheduler.cc
--- ns-3.37/src/lte/model/tta-ff-mac-scheduler.cc	2022-11-01 17:37:24.663395600 -0700
+++ ns-3.38/src/lte/model/tta-ff-mac-scheduler.cc	2023-03-16 20:54:23.780869000 -0700
@@ -37,11 +37,11 @@
 
 /// TTA type 0 allocation RBG
 static const int TtaType0AllocationRbg[4] = {
-    10, // RGB size 1
-    26, // RGB size 2
-    63, // RGB size 3
-    110 // RGB size 4
-};      // see table 7.1.6.1-1 of 36.213
+    10,  // RGB size 1
+    26,  // RGB size 2
+    63,  // RGB size 3
+    110, // RGB size 4
+};       // see table 7.1.6.1-1 of 36.213
 
 NS_OBJECT_ENSURE_REGISTERED(TtaFfMacScheduler);
 
@@ -358,7 +358,7 @@
     return (lcActive);
 }
 
-uint8_t
+bool
 TtaFfMacScheduler::HarqProcessAvailability(uint16_t rnti)
 {
     NS_LOG_FUNCTION(this << rnti);
@@ -587,9 +587,9 @@
     // Process DL HARQ feedback
     RefreshHarqProcesses();
     // retrieve past HARQ retx buffered
-    if (m_dlInfoListBuffered.size() > 0)
+    if (!m_dlInfoListBuffered.empty())
     {
-        if (params.m_dlInfoList.size() > 0)
+        if (!params.m_dlInfoList.empty())
         {
             NS_LOG_INFO(this << " Received DL-HARQ feedback");
             m_dlInfoListBuffered.insert(m_dlInfoListBuffered.end(),
@@ -599,7 +599,7 @@
     }
     else
     {
-        if (params.m_dlInfoList.size() > 0)
+        if (!params.m_dlInfoList.empty())
         {
             m_dlInfoListBuffered = params.m_dlInfoList;
         }
@@ -827,7 +827,7 @@
                     }
                 }
 
-                if (rlcPduListPerLc.size() > 0)
+                if (!rlcPduListPerLc.empty())
                 {
                     newEl.m_rlcPduList.push_back(rlcPduListPerLc);
                 }
@@ -877,7 +877,7 @@
     if (rbgAllocatedNum == rbgNum)
     {
         // all the RBGs are already allocated -> exit
-        if ((ret.m_buildDataList.size() > 0) || (ret.m_buildRarList.size() > 0))
+        if (!ret.m_buildDataList.empty() || !ret.m_buildRarList.empty())
         {
             m_schedSapUser->SchedDlConfigInd(ret);
         }
@@ -900,11 +900,11 @@
                     // UE already allocated for HARQ or without HARQ process available -> drop it
                     if (itRnti != rntiAllocated.end())
                     {
-                        NS_LOG_DEBUG(this << " RNTI discared for HARQ tx" << (uint16_t)(*it));
+                        NS_LOG_DEBUG(this << " RNTI discarded for HARQ tx" << (uint16_t)(*it));
                     }
                     if (!HarqProcessAvailability((*it)))
                     {
-                        NS_LOG_DEBUG(this << " RNTI discared for HARQ id" << (uint16_t)(*it));
+                        NS_LOG_DEBUG(this << " RNTI discarded for HARQ id" << (uint16_t)(*it));
                     }
                     continue;
                 }
@@ -1437,7 +1437,7 @@
 
     if (nflows == 0)
     {
-        if (ret.m_dciList.size() > 0)
+        if (!ret.m_dciList.empty())
         {
             m_allocationMaps.insert(
                 std::pair<uint16_t, std::vector<uint16_t>>(params.m_sfnSf, rbgAllocationMap));
@@ -1482,7 +1482,8 @@
         if ((itRnti != rntiAllocated.end()) || ((*it).second == 0))
         {
             // UE already allocated for UL-HARQ -> skip it
-            NS_LOG_DEBUG(this << " UE already allocated in HARQ -> discared, RNTI " << (*it).first);
+            NS_LOG_DEBUG(this << " UE already allocated in HARQ -> discarded, RNTI "
+                              << (*it).first);
             it++;
             if (it == m_ceBsrRxed.end())
             {
@@ -1553,7 +1554,7 @@
         {
             // unable to allocate new resource: finish scheduling
             m_nextRntiUl = (*it).first;
-            if (ret.m_dciList.size() > 0)
+            if (!ret.m_dciList.empty())
             {
                 m_schedSapUser->SchedUlConfigInd(ret);
             }
@@ -1572,7 +1573,7 @@
         else
         {
             // take the lowest CQI value (worst RB)
-            NS_ABORT_MSG_IF((*itCqi).second.size() == 0,
+            NS_ABORT_MSG_IF((*itCqi).second.empty(),
                             "CQI of RNTI = " << (*it).first << " has expired");
             double minSinr = (*itCqi).second.at(uldci.m_rbStart);
             if (minSinr == NO_SINR)
@@ -1827,7 +1828,7 @@
     case UlCqi_s::SRS: {
         // get the RNTI from vendor specific parameters
         uint16_t rnti = 0;
-        NS_ASSERT(params.m_vendorSpecificList.size() > 0);
+        NS_ASSERT(!params.m_vendorSpecificList.empty());
         for (std::size_t i = 0; i < params.m_vendorSpecificList.size(); i++)
         {
             if (params.m_vendorSpecificList.at(i).m_type == SRS_CQI_RNTI_VSP)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/tta-ff-mac-scheduler.h ns-3.38/src/lte/model/tta-ff-mac-scheduler.h
--- ns-3.37/src/lte/model/tta-ff-mac-scheduler.h	2022-11-01 17:37:24.663395600 -0700
+++ ns-3.38/src/lte/model/tta-ff-mac-scheduler.h	2023-03-16 20:54:23.780869000 -0700
@@ -280,9 +280,9 @@
      * \brief Return the availability of free process for the RNTI specified
      *
      * \param rnti the RNTI of the UE to be updated
-     * \return the process id  value
+     * \return the availability
      */
-    uint8_t HarqProcessAvailability(uint16_t rnti);
+    bool HarqProcessAvailability(uint16_t rnti);
 
     /**
      * \brief Refresh HARQ processes according to the timers
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/epc-test-s1u-downlink.cc ns-3.38/src/lte/test/epc-test-s1u-downlink.cc
--- ns-3.37/src/lte/test/epc-test-s1u-downlink.cc	2022-11-01 17:37:24.663395600 -0700
+++ ns-3.38/src/lte/test/epc-test-s1u-downlink.cc	2023-03-16 20:54:23.780869000 -0700
@@ -45,7 +45,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Custom structure for testing UE downlink data
  */
@@ -74,7 +73,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Custom structure for testing eNodeB downlink data, contains
  * the list of data structures for UEs
@@ -86,7 +84,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief EpcS1uDlTestCase class
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/epc-test-s1u-uplink.cc ns-3.38/src/lte/test/epc-test-s1u-uplink.cc
--- ns-3.37/src/lte/test/epc-test-s1u-uplink.cc	2022-11-01 17:37:24.663395600 -0700
+++ ns-3.38/src/lte/test/epc-test-s1u-uplink.cc	2023-03-16 20:54:23.780869000 -0700
@@ -52,7 +52,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * A Udp client. Sends UDP packet carrying sequence number and time
  * stamp but also including the EpsBearerTag. This tag is normally
@@ -125,11 +124,12 @@
         TypeId("ns3::EpsBearerTagUdpClient")
             .SetParent<Application>()
             .AddConstructor<EpsBearerTagUdpClient>()
-            .AddAttribute("MaxPackets",
-                          "The maximum number of packets the application will send",
-                          UintegerValue(100),
-                          MakeUintegerAccessor(&EpsBearerTagUdpClient::m_count),
-                          MakeUintegerChecker<uint32_t>())
+            .AddAttribute(
+                "MaxPackets",
+                "The maximum number of packets the application will send (zero means infinite)",
+                UintegerValue(100),
+                MakeUintegerAccessor(&EpsBearerTagUdpClient::m_count),
+                MakeUintegerChecker<uint32_t>())
             .AddAttribute("Interval",
                           "The time to wait between packets",
                           TimeValue(Seconds(1.0)),
@@ -241,7 +241,7 @@
         NS_LOG_INFO("Error while sending " << m_size << " bytes to " << m_peerAddress);
     }
 
-    if (m_sent < m_count)
+    if (m_sent < m_count || m_count == 0)
     {
         m_sendEvent = Simulator::Schedule(m_interval, &EpsBearerTagUdpClient::Send, this);
     }
@@ -249,7 +249,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Custom test structure to hold information of data transmitted in the uplink per UE
  */
@@ -284,7 +283,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Custom structure containing information about data sent in the uplink
  * of eNodeB. Includes the information of the data sent in the uplink per UE.
@@ -296,7 +294,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief EpcS1uUlTestCase class
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-ffr-simple.h ns-3.38/src/lte/test/lte-ffr-simple.h
--- ns-3.37/src/lte/test/lte-ffr-simple.h	2022-11-01 17:37:24.663395600 -0700
+++ ns-3.38/src/lte/test/lte-ffr-simple.h	2023-03-16 20:54:23.780869000 -0700
@@ -34,7 +34,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Simple Frequency Reuse algorithm implementation which uses only 1 sub-band.
  *                Used to test Downlink Power Allocation. When Simple FR receives UE measurements
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-simple-helper.h ns-3.38/src/lte/test/lte-simple-helper.h
--- ns-3.37/src/lte/test/lte-simple-helper.h	2022-11-01 17:37:24.663395600 -0700
+++ ns-3.38/src/lte/test/lte-simple-helper.h	2023-03-16 20:54:23.780869000 -0700
@@ -37,7 +37,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief A simplified version of LteHelper, that
  * is used for creation and configuration of LTE entities for testing purposes
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-aggregation-throughput-scale.cc ns-3.38/src/lte/test/lte-test-aggregation-throughput-scale.cc
--- ns-3.37/src/lte/test/lte-test-aggregation-throughput-scale.cc	2022-11-01 17:37:24.663395600 -0700
+++ ns-3.38/src/lte/test/lte-test-aggregation-throughput-scale.cc	2023-03-16 20:54:23.780869000 -0700
@@ -54,6 +54,10 @@
                 TestCase::QUICK);
 }
 
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
 static LteAggregationThroughputScaleTestSuite g_lteAggregationThroughputScaleTestSuite;
 
 LteAggregationThroughputScaleTestCase::LteAggregationThroughputScaleTestCase(std::string name)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-carrier-aggregation.cc ns-3.38/src/lte/test/lte-test-carrier-aggregation.cc
--- ns-3.37/src/lte/test/lte-test-carrier-aggregation.cc	2022-11-01 17:37:24.663395600 -0700
+++ ns-3.38/src/lte/test/lte-test-carrier-aggregation.cc	2023-03-16 20:54:23.780869000 -0700
@@ -255,6 +255,10 @@
     }
 }
 
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
 static TestCarrierAggregationSuite lenaTestRrFfMacSchedulerSuite;
 
 std::string
@@ -533,7 +537,7 @@
 }
 
 void
-CarrierAggregationTestCase::WriteResultToFile()
+CarrierAggregationTestCase::WriteResultToFile() const
 {
     std::ofstream dlOutFile;
     dlOutFile.open(dlResultsFileName, std::ofstream::out | std::ofstream::app);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-carrier-aggregation-configuration.cc ns-3.38/src/lte/test/lte-test-carrier-aggregation-configuration.cc
--- ns-3.37/src/lte/test/lte-test-carrier-aggregation-configuration.cc	2022-11-01 17:37:24.663395600 -0700
+++ ns-3.38/src/lte/test/lte-test-carrier-aggregation-configuration.cc	2023-03-16 20:54:23.780869000 -0700
@@ -73,7 +73,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Carrier aggregation configuration test case.
  */
@@ -137,7 +136,7 @@
      */
     std::vector<std::map<uint16_t, ConfigToCheck>> EquallySpacedCcs();
 
-    uint32_t m_numberOfNodes;             ///< Numer of nodes
+    uint32_t m_numberOfNodes;             ///< Number of nodes
     uint16_t m_numberOfComponentCarriers; ///< Number of component carriers
     std::vector<ConfigToCheck>
         m_configToCheck;          ///< Vector containing all the configurations to check
@@ -388,7 +387,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Carrier aggregation configuration test suite.
  */
@@ -451,4 +449,8 @@
                 TestCase::QUICK);
 }
 
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
 static CarrierAggregationConfigTestSuite g_carrierAggregationConfigTestSuite;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-carrier-aggregation.h ns-3.38/src/lte/test/lte-test-carrier-aggregation.h
--- ns-3.37/src/lte/test/lte-test-carrier-aggregation.h	2022-11-01 17:37:24.663395600 -0700
+++ ns-3.38/src/lte/test/lte-test-carrier-aggregation.h	2023-03-16 20:54:23.780869000 -0700
@@ -30,8 +30,7 @@
 using namespace ns3;
 
 /**
- * \ingroup wifi-test
- * \ingroup tests wifi-test wifi module tests
+ * \ingroup lte-test
  *
  * \brief This system test program creates different test cases with a single eNB and
  * several UEs, all having the same Radio Bearer specification. In each test
@@ -85,7 +84,7 @@
                       uint16_t sizeTb,
                       uint8_t componentCarrierId);
     /// Write result to file function
-    void WriteResultToFile();
+    void WriteResultToFile() const;
 
   private:
     void DoRun() override;
@@ -118,8 +117,7 @@
 };
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * \ingroup lte-test
  *
  * \brief Test Carrier Aggregation Suite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-cell-selection.cc ns-3.38/src/lte/test/lte-test-cell-selection.cc
--- ns-3.37/src/lte/test/lte-test-cell-selection.cc	2022-11-01 17:37:24.663395600 -0700
+++ ns-3.38/src/lte/test/lte-test-cell-selection.cc	2023-03-16 20:54:23.780869000 -0700
@@ -96,6 +96,10 @@
 
 } // end of LteCellSelectionTestSuite::LteCellSelectionTestSuite ()
 
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
 static LteCellSelectionTestSuite g_lteCellSelectionTestSuite;
 
 /*
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-cqa-ff-mac-scheduler.cc ns-3.38/src/lte/test/lte-test-cqa-ff-mac-scheduler.cc
--- ns-3.37/src/lte/test/lte-test-cqa-ff-mac-scheduler.cc	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-cqa-ff-mac-scheduler.cc	2023-03-16 20:54:23.780869000 -0700
@@ -83,7 +83,7 @@
     //    UDP traffic: payload size = 200 bytes, interval = 1 ms
     //    UDP rate in scheduler: (payload + RLC header + PDCP header + IP header + UDP header) *
     //    1000 byte/sec -> 232000 byte/rate
-    //  Totol bandwidth: 24 PRB at Itbs 26 -> 2196 -> 2196000 byte/sec
+    //  Total bandwidth: 24 PRB at Itbs 26 -> 2196 -> 2196000 byte/sec
     //  1 user -> 232000 * 1 = 232000 < 2196000 -> throughput = 232000 byte/sec
     //  3 user -> 232000 * 3 = 696000 < 2196000 -> througphut = 232000 byte/sec
     //  6 user -> 232000 * 6 = 139200 < 2196000 -> throughput = 232000 byte/sec
@@ -108,7 +108,7 @@
     //   UDP traffic: payload size = 200 bytes, interval = 1 ms
     //   UDP rate in scheduler: (payload + RLC header + PDCP header + IP header + UDP header) * 1000
     //   byte/sec -> 232000 byte/rate
-    // Totol bandwidth: 24 PRB at Itbs 20 -> 1383 -> 1383000 byte/sec
+    // Total bandwidth: 24 PRB at Itbs 20 -> 1383 -> 1383000 byte/sec
     // 1 user -> 903000 * 1 = 232000 < 1383000 -> throughput = 232000 byte/sec
     // 3 user -> 232000 * 3 = 696000 < 1383000 -> througphut = 232000 byte/sec
     // 6 user -> 232000 * 6 = 139200 > 1383000 -> throughput = 1383000 / 6 = 230500 byte/sec
@@ -134,7 +134,7 @@
     //   UDP traffic: payload size = 200 bytes, interval = 1 ms
     //   UDP rate in scheduler: (payload + RLC header + PDCP header + IP header + UDP header) * 1000
     //   byte/sec -> 232000 byte/rate
-    // Totol bandwidth: 24 PRB at Itbs 18 -> 1191 -> 1191000 byte/sec
+    // Total bandwidth: 24 PRB at Itbs 18 -> 1191 -> 1191000 byte/sec
     // 1 user -> 903000 * 1 = 232000 < 1191000 -> throughput = 232000 byte/sec
     // 3 user -> 232000 * 3 = 696000 < 1191000 -> througphut = 232000 byte/sec
     // 6 user -> 232000 * 6 = 1392000 > 1191000 -> throughput = 1191000 / 6 = 198500 byte/sec
@@ -161,7 +161,7 @@
     //   UDP traffic: payload size = 200 bytes, interval = 1 ms
     //   UDP rate in scheduler: (payload + RLC header + PDCP header + IP header + UDP header) * 1000
     //   byte/sec -> 232000 byte/rate
-    // Totol bandwidth: 24 PRB at Itbs 13 -> 775 -> 775000 byte/sec
+    // Total bandwidth: 24 PRB at Itbs 13 -> 775 -> 775000 byte/sec
     // 1 user -> 903000 * 1 = 232000 < 775000 -> throughput = 232000 byte/sec
     // 3 user -> 232000 * 3 = 696000 > 775000 -> througphut = 232000 byte/sec
     // 6 user -> 232000 * 6 = 139200 > 775000 -> throughput = 775000 / 6 = 129166 byte/sec
@@ -260,6 +260,10 @@
                 TestCase::QUICK);
 }
 
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
 static LenaTestCqaFfMacSchedulerSuite lenaTestCqaFfMacSchedulerSuite;
 
 // --------------- T E S T - C A S E   # 1 ------------------------------
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-cqa-ff-mac-scheduler.h ns-3.38/src/lte/test/lte-test-cqa-ff-mac-scheduler.h
--- ns-3.37/src/lte/test/lte-test-cqa-ff-mac-scheduler.h	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-cqa-ff-mac-scheduler.h	2023-03-16 20:54:23.780869000 -0700
@@ -31,7 +31,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief This is a system test program. The test is based on a scenario with single eNB and several
  * UEs. The goal of the test is validating if the obtained throughput performance is consistent with
@@ -82,7 +81,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief This is a system test program. The test is based on a scenario with single eNB and several
  * UEs. The goal of the test is validating if the obtained throughput performance is consistent with
@@ -128,7 +126,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief The test suite for testing CQA scheduler functionality
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-cqi-generation.cc ns-3.38/src/lte/test/lte-test-cqi-generation.cc
--- ns-3.37/src/lte/test/lte-test-cqi-generation.cc	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-cqi-generation.cc	2023-03-16 20:54:23.780869000 -0700
@@ -144,6 +144,10 @@
                 TestCase::QUICK);
 }
 
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
 static LteCqiGenerationTestSuite lteCqiGenerationTestSuite;
 
 LteCqiGenerationTestCase::LteCqiGenerationTestCase(std::string name,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-cqi-generation.h ns-3.38/src/lte/test/lte-test-cqi-generation.h
--- ns-3.37/src/lte/test/lte-test-cqi-generation.h	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-cqi-generation.h	2023-03-16 20:54:23.780869000 -0700
@@ -28,7 +28,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief Lte Cqi Generation Test Suite
  */
@@ -41,7 +40,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief This is the test case for testing different configuration of CQI generation.
  *  The topology consists of the two UEs and two eNbs. UEs have the same position,
@@ -97,7 +95,6 @@
 
 /**
  * \ingroup lte-test
- * \ingroup tests
  *
  * \brief This test is very similar to LteCqiGenerationTestCase. The difference is that in this
  * test is enabled the downlink power control.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/test/lte-test-deactivate-bearer.cc ns-3.38/src/lte/test/lte-test-deactivate-bearer.cc
--- ns-3.37/src/lte/test/lte-test-deactivate-bearer.cc	2022-11-01 17:37:24.667395600 -0700
+++ ns-3.38/src/lte/test/lte-test-deactivate-bearer.cc	2023-03-16 20:54:23.780869000 -0700
@@ -97,7 +97,11 @@
         TestCase::QUICK);
 }
 
-static LenaTestBearerDeactivateSuite lenaTestBearerDeactivateSuite; ///< the test suite
+/**
+ * \ingroup lte-test
+ * Static variable for test initialization
+ */
+static LenaTestBearerDeactivateSuite lenaTestBearerDeactivateSuite;
 
 std::string
 LenaDeactivateBearerTestCase::BuildNameString(uint16_t nUser, std::vector<uint16_t> dist)
